% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-geometry.R
\name{perp_mid}
\alias{perp_mid}
\title{Calculate Perpendicular Midpoint for Curved Edges}
\usage{
perp_mid(x0, y0, x1, y1, cex, q = 0.5)
}
\arguments{
\item{x0}{Start x coordinate.}

\item{y0}{Start y coordinate.}

\item{x1}{End x coordinate.}

\item{y1}{End y coordinate.}

\item{cex}{Curvature amount (positive = left, negative = right).}

\item{q}{Position along edge (0 = start, 0.5 = middle, 1 = end).}
}
\value{
List with x, y coordinates of control point.
}
\description{
Computes a control point perpendicular to the line between two nodes,
used for xspline() curve generation.
}
\keyword{internal}
